realtimeAnalytics

Get active users for a project

Returns list of currently connected users

GET/api/realtime/projects/{projectId}/active-users

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYesProject ID.

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { MudbaseClient } from "mudbase";

const client = new MudbaseClient();
client.setJWT("eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig");
import { MudbaseClient } from "mudbase";

const client = new MudbaseClient();
client.setJWT("eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig");

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const result = await client.realtimeAnalytics.getActiveUsers({
  projectId: "usr_GKP8triJcYge4B"
});
const result = await client.realtimeAnalytics.getActiveUsers({
  projectId: "usr_GKP8triJcYge4B"
});

Try It Live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Responses

200List of active users
json
{
  "users": [],
  "count": 0,
  "timestamp": "2024-01-15T10:00:00.000Z"
}
{
  "users": [],
  "count": 0,
  "timestamp": "2024-01-15T10:00:00.000Z"
}
401Authentication required or invalid token.
404Project not found (exact backend message).

Errors

CodeMeaning
401Authentication required or invalid token.
404Project not found (exact backend message).
Edit this page on GitHub